# Method: users.sshPublicKeys.patch

- [HTTP request](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1alpha/users.sshPublicKeys/patch#try-it)

Updates an SSH public key and returns the profile information. This method supports patch semantics.

### HTTP request

`PATCH https://oslogin.googleapis.com/v1alpha/{name=users/*/sshPublicKeys/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Mask to control which fields get updated. Updates all if not present. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/compute/docs/oslogin/rest/Shared.Types/SshPublicKey`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/oslogin/rest/Shared.Types/SshPublicKey`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/compute`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).